Bug 10578 - Неверные ссылки на библиотеки
: Неверные ссылки на библиотеки
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/boost-program-options-devel)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-12-30 20:04 by
Modified: 2007-01-12 01:27 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-12-30 20:04:10
ссылки сделаны так:
lrwxrwxrwx 1 root root      45 Dec 30 20:00 libboost_program_options-gcc.so ->
 libboost_program_options-gcc-1_33_1.so.1.33.1
Но на самом деле у файлов нет никаких 1.33.1 в конце названия.
------- Comment #1 From 2006-12-30 20:07:28 -------
Точнее вообще нужные файлы не упакованы, например
libboost_program_options-gcc-1_33_1.so.1.33.1
------- Comment #2 From 2007-01-08 14:52:04 -------
Это следствие того, что boost-program-options-devel не Requires:
boost-program-options. Явно бага.
------- Comment #3 From 2007-01-09 12:56:37 -------
Fixed in 1.33.1-alt3
------- Comment #4 From 2007-01-12 01:27:50 -------
Спасибо